org.etsi.uri._01903.v1_3

## Class XAdESTimeStampType

- java.lang.Object
- - org.etsi.uri._01903.v1_3.GenericTimeStampType
  - - org.etsi.uri._01903.v1_3.XAdESTimeStampType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class XAdESTimeStampType
      extends GenericTimeStampType
      implements Serializable

  Java class for XAdESTimeStampType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="XAdESTimeStampType">
         <complexContent>
           <restriction base="{http://uri.etsi.org/01903/v1.3.2#}GenericTimeStampType">
             <sequence>
               <element ref="{http://uri.etsi.org/01903/v1.3.2#}Include" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}CanonicalizationMethod" minOccurs="0"/>
               <choice maxOccurs="unbounded">
                 <element name="EncapsulatedTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType"/>
                 <element name="XMLTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}AnyType"/>
               </choice>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAdESTimeStampType()`

  - ### Method Summary

    - ### Methods inherited from class org.etsi.uri._01903.v1_3.GenericTimeStampType

      `getCanonicalizationMethod, getEncapsulatedTimeStampsAndXMLTimeStamps, getId, getIncludes, getReferenceInfos, setCanonicalizationMethod, setId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XAdESTimeStampType

          public XAdESTimeStampType()

Connector Packaging PERSPHYSICIAN 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.